import type { RouteRecordRaw } from 'vue-router'

const routes: RouteRecordRaw[] = [
  {
    name: 'Login',
    path: '/login',
    component: () => import('views/login/login.vue')
  },
  {
    path: '/sso',
    component: () => import('views/login/sso.vue')
  },
  {
    path: '/jump',
    component: () => import('views/login/JumpPage.vue')
  },
  {
    name: 'LockMe',
    path: '/lockme',
    component: () => import('views/login/lockme.vue')
  },
  {
    name: 'Redirect',
    path: '/redirect',
    meta: { noTag: true },
    component: () => import('@/layouts/redirect.vue')
  },
  {
    path: '/',
    component: () => import('@/layouts/home.vue'),
    redirect: '/sms-web/resource_dashboard',
    meta: {
      title: '主页'
    },
    name: 'Home',
    children: []
  },
  {
    path: '/license',
    name: 'License',
    component: () => import('@/views/about/index.vue')
  }
]
export default routes
